summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorIonen Wolkens <ionen@gentoo.org>2024-12-09 23:36:40 -0500
committerIonen Wolkens <ionen@gentoo.org>2024-12-10 00:10:26 -0500
commitd4a350cbc34fa6cc2c013a397c0aac53ae0bb0b1 (patch)
tree7458d5f86a47b25cebcc52bdb09fccd344e957b9 /eclass
parentapp-doc/eclass-manpages: add 20241210 (diff)
downloadgentoo-d4a350cbc34fa6cc2c013a397c0aac53ae0bb0b1.tar.gz
gentoo-d4a350cbc34fa6cc2c013a397c0aac53ae0bb0b1.tar.bz2
gentoo-d4a350cbc34fa6cc2c013a397c0aac53ae0bb0b1.zip
qt6-build.eclass: replace assert with pipestatus
Not very interesting to show pipestatus -v when the 2nd command is just tail(1), realistically it's CC that will have failed. Preemptively limit to EAPI=8 for when port to 9, albeit that will likely be short lived as there is no need for extended EAPI=8 support here after Qt ebuilds are migrated & stabilized. Signed-off-by: Ionen Wolkens <ionen@gentoo.org>
Diffstat (limited to 'eclass')
-rw-r--r--eclass/qt6-build.eclass5
1 files changed, 3 insertions, 2 deletions
diff --git a/eclass/qt6-build.eclass b/eclass/qt6-build.eclass
index 2dec4b7ec14e..3d3531dd96d5 100644
--- a/eclass/qt6-build.eclass
+++ b/eclass/qt6-build.eclass
@@ -22,6 +22,7 @@ _QT6_BUILD_ECLASS=1
die "${ECLASS} is only to be used for building Qt6"
inherit cmake flag-o-matic toolchain-funcs
+[[ ${EAPI} == 8 ]] && inherit eapi9-pipestatus
# @ECLASS_VARIABLE: QT6_BUILD_TYPE
# @DESCRIPTION:
@@ -321,7 +322,7 @@ _qt6-build_sanitize_cpu_flags() {
bad
#endif
EOF
- assert
+ pipestatus || die
)"
[[ ${_} == bad ]] && bad=1 && break
done
@@ -342,7 +343,7 @@ _qt6-build_sanitize_cpu_flags() {
# endif
#endif
EOF
- assert
+ pipestatus || die
)
cpuflags+=("${cpuflags_filter_only[@]}")